> ## Documentation Index
> Fetch the complete documentation index at: https://docs.advancedwebranking.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project

> Creates a new project with specified keywords, search engines, and websites



## OpenAPI

````yaml api-reference/openapi.json post /projects/{name}/create
openapi: 3.0.0
info:
  title: AWR API
  version: 1.0.0
  description: >-
    Advanced Web Ranking API for managing SEO projects, rankings, and market
    share data
servers:
  - url: https://api.advancedwebranking.com/v3
    description: Production server
security:
  - bearerAuth: []
paths:
  /projects/{name}/create:
    post:
      tags:
        - Projects
      summary: Create Project
      description: >-
        Creates a new project with specified keywords, search engines, and
        websites
      operationId: createProject
      parameters:
        - $ref: '#/components/parameters/projectNamePath'
        - name: frequency
          in: query
          required: false
          schema:
            type: string
            enum:
              - ondemand
              - daily
              - weekly
          example: ondemand
        - name: country
          in: query
          required: false
          schema:
            type: string
            enum:
              - US
              - UK
              - DE
              - FR
              - IT
              - JP
              - RO
              - ES
              - GR
              - BE
              - MT
              - NL
              - TH
              - AU
              - SE
              - SG
              - AR
              - IN
              - ID
              - CA
              - BR
              - DK
              - MX
              - RU
              - KR
              - BH
              - CY
              - EG
              - AE
              - IL
              - JO
              - KW
              - LB
              - OM
              - QA
              - SA
              - TR
              - AT
              - CH
              - HU
              - NZ
              - CZ
              - PH
              - MY
              - IE
              - ZA
              - CO
              - DO
              - FI
              - RS
              - ME
              - BA
              - HR
              - PL
              - PT
              - TW
              - PE
              - CL
              - VE
              - MA
              - 'NO'
              - SI
              - SK
              - LV
              - UA
              - PR
              - BO
              - CR
              - EE
              - LU
              - LT
              - BG
              - GT
              - HN
              - NG
              - KE
              - UG
              - MU
              - GH
              - BD
              - LK
              - VN
              - IS
              - EC
              - UY
              - KZ
              - LY
              - PK
              - CI
              - TZ
              - CD
              - PA
              - ZM
              - MD
              - BY
              - SV
              - NI
              - PY
              - BW
              - ZW
              - AO
              - MZ
              - CM
              - ET
              - AZ
              - KH
              - NP
              - RW
              - SN
              - TN
              - MM
              - DZ
              - JM
              - GA
              - GE
              - PG
              - IM
              - BN
              - TG
              - BT
              - BJ
              - BF
              - GM
              - BI
              - LA
              - GG
              - JE
              - MN
              - IQ
              - PS
              - FJ
              - AF
              - ML
              - NE
              - MV
              - DJ
              - GP
              - AL
              - LS
              - AS
              - FM
              - GL
              - LI
              - MS
              - MW
              - PN
              - SH
              - SM
              - UZ
              - TD
              - VG
              - CV
              - VC
              - DM
              - MK
              - KG
              - TJ
              - TM
              - MG
              - NA
              - SC
              - BS
              - BZ
              - GI
              - AM
              - AG
              - AD
              - CU
              - TT
        - name: depth
          in: query
          required: false
          schema:
            type: string
        - name: teamaccess
          in: query
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/CreateProjectBody'
      responses:
        '200':
          description: Project created successfully
        '401':
          description: Unauthorized
components:
  parameters:
    projectNamePath:
      name: name
      in: path
      required: true
      schema:
        type: string
      example: AWR-1
  requestBodies:
    CreateProjectBody:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CreateProjectInput'
  schemas:
    CreateProjectInput:
      type: object
      description: Project configuration for creating a new AWR project
      properties:
        keywords:
          type: array
          description: List of keywords to track
          items:
            $ref: '#/components/schemas/Keyword'
        searchengines:
          type: array
          description: List of search engines to track rankings on
          items:
            $ref: '#/components/schemas/SearchEngine'
        websites:
          type: array
          description: List of websites to track
          items:
            $ref: '#/components/schemas/Website'
      required:
        - keywords
        - searchengines
        - websites
      example:
        keywords:
          - name: my first keyword
          - name: my second keyword
        searchengines:
          - name: google
            country: US
            location: San Francisco, CA
            language: en
            se_type: desktop universal
        websites:
          - name: mydomain.com
            aliases: '*.mydomain.com'
            index: 1
            color_r: 0
            color_g: 0
            color_b: 255
            pages: []
    Keyword:
      type: object
      properties:
        name:
          type: string
          description: The keyword to track
          example: my keyword
      required:
        - name
    SearchEngine:
      type: object
      properties:
        name:
          type: string
          description: Search engine name.
          default: google
          example: google
        country:
          type: string
          enum:
            - US
            - UK
            - DE
            - FR
            - IT
            - JP
            - RO
            - ES
            - GR
            - BE
            - MT
            - NL
            - TH
            - AU
            - SE
            - SG
            - AR
            - IN
            - ID
            - CA
            - BR
            - DK
            - MX
            - RU
            - KR
            - BH
            - CY
            - EG
            - AE
            - IL
            - JO
            - KW
            - LB
            - OM
            - QA
            - SA
            - TR
            - AT
            - CH
            - HU
            - NZ
            - CZ
            - PH
            - MY
            - IE
            - ZA
            - CO
            - DO
            - FI
            - RS
            - ME
            - BA
            - HR
            - PL
            - PT
            - TW
            - PE
            - CL
            - VE
            - MA
            - 'NO'
            - SI
            - SK
            - LV
            - UA
            - PR
            - BO
            - CR
            - EE
            - LU
            - LT
            - BG
            - GT
            - HN
            - NG
            - KE
            - UG
            - MU
            - GH
            - BD
            - LK
            - VN
            - IS
            - EC
            - UY
            - KZ
            - LY
            - PK
            - CI
            - TZ
            - CD
            - PA
            - ZM
            - MD
            - BY
            - SV
            - NI
            - PY
            - BW
            - ZW
            - AO
            - MZ
            - CM
            - ET
            - AZ
            - KH
            - NP
            - RW
            - SN
            - TN
            - MM
            - DZ
            - JM
            - GA
            - GE
            - PG
            - IM
            - BN
            - TG
            - BT
            - BJ
            - BF
            - GM
            - BI
            - LA
            - GG
            - JE
            - MN
            - IQ
            - PS
            - FJ
            - AF
            - ML
            - NE
            - MV
            - DJ
            - GP
            - AL
            - LS
            - AS
            - FM
            - GL
            - LI
            - MS
            - MW
            - PN
            - SH
            - SM
            - UZ
            - TD
            - VG
            - CV
            - VC
            - DM
            - MK
            - KG
            - TJ
            - TM
            - MG
            - NA
            - SC
            - BS
            - BZ
            - GI
            - AM
            - AG
            - AD
            - CU
            - TT
          description: Country code.
          default: US
          example: US
        location:
          type: string
          description: Geographic location for local search.
          default: San Francisco, CA
          example: San Francisco, CA
        language:
          type: string
          enum:
            - en
            - fr
            - de
            - es
            - ca
            - gl
            - eu
            - ar
            - ko
            - et
            - ru
            - sw
            - da
            - fo
            - ja
            - pt
            - pl
            - vi
            - zh-TW
            - cs
            - qu
            - it
            - hi
            - bn
            - te
            - mr
            - ta
            - gu
            - kn
            - ml
            - pa
            - rm
            - iw
            - ga
            - id
            - uk
            - el
            - tr
            - bg
            - zh-CN
            - 'no'
            - nl
            - bs
            - sr
            - hr
            - ha
            - yo
            - th
            - af
            - st
            - zu
            - xh
            - ur
            - fa
            - ak
            - sk
            - sl
            - sv
            - lv
            - lt
            - fi
            - ro
            - hu
            - hy
          description: Language code.
          default: en
          example: en
        se_type:
          type: string
          enum:
            - desktop universal
            - desktop organic
            - desktop organic and places
            - desktop places
            - desktop adwords
            - desktop images
            - desktop video
            - desktop maps
            - desktop news
            - desktop shopping
            - desktop jobs
            - mobile universal
            - mobile organic
            - mobile images
            - mobile video
            - mobile news
          description: Search engine type.
          default: desktop universal
          example: desktop universal
      required:
        - name
    Website:
      type: object
      properties:
        name:
          type: string
          description: Domain name
          example: mydomain.com
        aliases:
          type: string
          description: Domain aliases pattern
          example: '*.mydomain.com'
        index:
          type: integer
          description: Website index
          example: 1
        color_r:
          type: integer
          description: Red color component (0-255)
          minimum: 0
          maximum: 255
          example: 0
        color_g:
          type: integer
          description: Green color component (0-255)
          minimum: 0
          maximum: 255
          example: 0
        color_b:
          type: integer
          description: Blue color component (0-255)
          minimum: 0
          maximum: 255
          example: 255
        pages:
          type: array
          description: List of pages to track
          items:
            type: object
      required:
        - name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````